.data-table{position:absolute;top:0;right:0;bottom:0;left:0}
.data-table button:focus{outline:none}
.data-table .data-table-toolbar{position:absolute;top:0px;right:0;left:0;background:#fff;z-index:100;padding:20px}
.data-table .dialog-input-group-block{margin-bottom:10px}
.data-table .search-option-row{display:flex}
.data-table .search-option-value{flex-grow:1}
.data-table .standard-groups{margin-left:20px}
.data-table .standard-groups>.btn-group{margin-left:5px}
.data-table .table-group-bar>div, .data-table .customized_group>div{margin-bottom:10px}
.data-table .search-condition-downdown-item>:first-child{max-width:300px;overflow:hidden;text-overflow:ellipsis}
.data-table .search-condition-downdown-item>:last-child{cursor:pointer}
.data-table .search-condition-downdown-item>:last-child:hover{color:red}
.data-table .btn-filter.dropdown-toggle::after{margin-left:0 !important;border:none !important}
.data-table div.form-control{background:#fff;flex:1 1 auto;overflow:hidden;border-radius:0.2em 0 0 0.2em;border:1px solid #ced4da;z-index:1001}

.data-table .table-wrap{position:absolute;right:0;bottom:0;left:0;overflow-y:auto;}
.data-table .table-wrap .feedback{position:fixed;z-index:100000; right:0;bottom:0;display:none;margin-right:20px}
.data-table table{width:100%;border-collapse:separate;border-spacing:0;table-layout:fixed;border-spacing:0;z-index:100}
.data-table table.wide-table thead{position:sticky;top:0;z-index:99;border-bottom:1px solid red}
.data-table table td{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
.data-table table thead td{color1:#fff;background:#FFF;position:relative}
.data-table table thead td:not(.data-table-checkbox){padding:0px 10px !important;}
.data-table table tbody td:not(.data-table-checkbox){padding:3px 10px;font-size:14px;vertical-align:middle;height:40px}
.data-table table thead td.sortable{cursor:pointer}
.data-table table thead td.sortable:hover{background:#efefef}
.data-table table thead td div.icon-sort{text-align:center;line-height:6px;height:6px;font-size:16px;position:absolute;top:0;right:0;left:0;}

.data-table table thead td.sort-asc div:before{content:"";position:absolute;top:0;left:50%;transform:translate(-50%,0);border-bottom:4px solid #000;border-left:4px solid transparent;border-right:4px solid transparent}
.data-table table thead td.sort-desc div:before{content:"";position:absolute;top:0;left:50%;transform:translate(-50%,0);border-top:4px solid #000;border-left:4px solid transparent;border-right:4px solid transparent}

.data-table table thead td>div:last-child{Height:16px;line-height:16px;}
.data-table table thead td span{font-size:8px;margin-top:5px}
.data-table table thead td.data-table-checkbox{text-align:center;width:30px;padding:5px 0;vertical-align:middle;}
.data-table table tbody td.data-table-checkbox{text-align:center;width:30px;padding:5px 0;vertical-align:middle}
.data-table table tbody td.center{text-align:center;padding:20px}
.data-table table tbody td.loading{padding:20px}
.data-table table tbody td.loading div{width:40px;height:40px;margin:0 auto;background:url('spinning.gif') no-repeat;}

.data-table table .data-table-action{text-align:center;width:70px}
.data-table-action a:not(:first-child){margin-left:5px}
.data-table table .data-table-action .glyphicon{cursor:pointer;}
.data-table .data-table-button-group{float:left;margin-right:10px}
.data-table .data-table-button-group .button{float:left;padding:10px 13px 7px 13px;cursor:pointer}
.data-table .data-table-button-group .button:first-child{border-top-left-radius:3px;border-bottom-left-radius:3px}
.data-table .data-table-button-group .button:last-child{border-top-right-radius:3px;border-bottom-right-radius:3px}

.data-table .filter-group a.dropdown-item{padding-left:20px}
.data-table .filter-group a.dropdown-item-checked{background:url('verification-mark.svg') no-repeat 20px 8px;background-size:16px 16px}

.data-table span.dropdown-item:focus, .data-table span.dropdown-item:hover{background-color:#fff !important}

.data-table .toolbar-row-sm{display:none !important}
/*.data-table .standard-groups{min-width:315px}*/
.data-table .btn-group span.btn-text{display:inline}

.data-table .data-table-button-group{display:inline-block}

.data-table table{border-width1:1px;border-style1:solid;border-color1:#2e6da4;border-radius:10px}
.data-table table thead td{border-bottom:2px solid #0062cc; 1border-width:1px;1border-style:solid;1border-color:#d5d5d5}
.data-table table tbody td{vertical-align:top;}
.data-table table tbody td img{height:16px;}
.data-table .clickable{cursor:pointer}
.data-table .clickable:hover{background-color:#efefef !important}
.data-table table thead td .fa-sort{margin-top:5px}
.data-table table thead td .fa-sort-asc{margin-top:10px}
.data-table table thead td .fa-sort-desc{margin-top:2px}

.data-table .narrow-table{display:none;width:100%}
.data-table .narrow-table tr .check-mark{font-family:Arial;width:30px;height:30px;line-height:30px;border-radius:50%;font-size:16px;}
.data-table .narrow-table tr.checked .check-mark{display:block}
.data-table .narrow-table tr.checked .check-mark+*{display:none}
.data-table .narrow-table tr:not(.checked) .check-mark{display:none}
.data-table .narrow-table tr:not(.checked) .check-mark+*{display:block}
.data-table .narrow-table td{width:100%;}
.data-table .narrow-table td div{line-height:30px;}
.data-table .narrow-table td>a{text-decoration:none;color:#000}
.data-table .narrow-table td>a>div:nth-child(2){white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}
.data-table .dropdown-menu{max-height:300px;overflow-y:auto}
.data-table .dropdown-menu.dropdown-menu-no-pad{padding:0 !important}
.data-table .data-table-loading{width:30px;height:30px;margin:20px auto;background:url('spinning.gif') no-repeat;background-size:30px 30px}

@media only screen and (max-width:768px) {
.data-table .wide-table,.btn-first-pg,.btn-last-pg,.btn-pg-number,.columns-btn-group{display:none}
.data-table .narrow-table{display:table}
.data-table .search-option-row{display:block}
.data-table .search-option-label{text-align:left !important;line-height:20px !important}
.data-table .filter-group{display:none1 !important}
.data-table .toolbar-row-sm{display:flex !important}
}
@media only screen and (max-width:768px) {
.data-table .btn-group span.btn-text{display:none}
}